Package ru.bitel.bgbilling.modules.sorm.server.bean

# Class CotnractWithClosedServices

java.lang.Object
ru.bitel.bgbilling.modules.sorm.server.bean.CotnractWithClosedServices

    public class CotnractWithClosedServices
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CotnractWithClosedServices​(java.sql.Connection connection, int sormModuleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `hasOpenResources​(int cid, ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle module, InstalledInstanceModule moduleInstance)` |
  `java.util.List<ClosedSormContract>` | `search​(ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle moduleTitle, InstalledInstanceModule moduleInstance)` | Взависимости от модуля смотри в БД аккаунты, сервисы или логины на предмет закрытия дат и, если на договоре всё закрыто было более 3-х лет назад, то такой договор не должен выгружаться и с него можно убрать модуль СОРМ.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CotnractWithClosedServices

    public CotnractWithClosedServices​(java.sql.Connection connection, int sormModuleId)

- ## Method Details

  - ### search

    public java.util.List<ClosedSormContract> search​(ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle moduleTitle, InstalledInstanceModule moduleInstance) throws ru.bitel.bgbilling.common.BGException
    Взависимости от модуля смотри в БД аккаунты, сервисы или логины на предмет закрытия дат и, если на договоре всё закрыто было более 3-х лет назад, то такой договор не должен выгружаться и с него можно убрать модуль СОРМ.
    Parameters:
      `moduleTitle` - тип модуля (инет, войс и т.д.)
      `moduleInstance` - экземпляр установленного модуля
    Returns:
      список договоров на которых есть данный модуль и которые не должны быть выгружены
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### hasOpenResources

    public boolean hasOpenResources​(int cid, ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle module, InstalledInstanceModule moduleInstance) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`